pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package gnatcoll_postgresmain is

   procedure gnatcoll_postgresinit;
   pragma Export (C, gnatcoll_postgresinit, "gnatcoll_postgresinit");
   pragma Linker_Constructor (gnatcoll_postgresinit);

   procedure gnatcoll_postgresfinal;
   pragma Export (C, gnatcoll_postgresfinal, "gnatcoll_postgresfinal");
   pragma Linker_Destructor (gnatcoll_postgresfinal);

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#e65fc084#;
   pragma Export (C, u00001, "gnatcoll__sql__postgres__builderB");
   u00002 : constant Version_32 := 16#bb96d5b1#;
   pragma Export (C, u00002, "gnatcoll__sql__postgres__builderS");
   u00003 : constant Version_32 := 16#8e341725#;
   pragma Export (C, u00003, "gnatcoll__sql__postgres__gnadeB");
   u00004 : constant Version_32 := 16#bd2ce40d#;
   pragma Export (C, u00004, "gnatcoll__sql__postgres__gnadeS");
   u00005 : constant Version_32 := 16#0fb234a6#;
   pragma Export (C, u00005, "gnatcoll__sql__postgresB");
   u00006 : constant Version_32 := 16#70e772b9#;
   pragma Export (C, u00006, "gnatcoll__sql__postgresS");
   u00007 : constant Version_32 := 16#ff7326c0#;
   pragma Export (C, u00007, "gnatcoll__sql__rangesB");
   u00008 : constant Version_32 := 16#42ee2c31#;
   pragma Export (C, u00008, "gnatcoll__sql__rangesS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  interfaces%s
   --  system%s
   --  system.atomic_operations%s
   --  system.float_control%s
   --  system.float_control%b
   --  system.img_char%s
   --  system.img_char%b
   --  system.io%s
   --  system.io%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.powten_flt%s
   --  system.powten_lflt%s
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.spark%s
   --  system.spark.cut_operations%s
   --  system.spark.cut_operations%b
   --  system.storage_elements%s
   --  system.img_address_32%s
   --  system.img_address_64%s
   --  system.return_stack%s
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.concat_3%s
   --  system.concat_3%b
   --  system.exn_flt%s
   --  system.exn_lflt%s
   --  system.traceback%s
   --  system.traceback%b
   --  ada.characters.handling%s
   --  system.atomic_operations.test_and_set%s
   --  system.case_util%s
   --  system.os_lib%s
   --  system.secondary_stack%s
   --  system.standard_library%s
   --  ada.exceptions%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.soft_links%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_llu%s
   --  system.val_lli%s
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.traceback%b
   --  system.address_image%s
   --  system.address_image%b
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.bounded_strings%s
   --  system.bounded_strings%b
   --  system.case_util%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.containers%s
   --  ada.io_exceptions%s
   --  ada.numerics%s
   --  ada.numerics.big_numbers%s
   --  ada.strings%s
   --  ada.strings.maps%s
   --  ada.strings.maps%b
   --  ada.strings.maps.constants%s
   --  interfaces.c%s
   --  interfaces.c%b
   --  system.atomic_primitives%s
   --  system.atomic_primitives%b
   --  system.exceptions%s
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  ada.characters.handling%b
   --  system.atomic_operations.test_and_set%b
   --  system.exception_traces%s
   --  system.exception_traces%b
   --  system.img_int%s
   --  system.img_uns%s
   --  system.memory%s
   --  system.memory%b
   --  system.mmap%s
   --  system.mmap.os_interface%s
   --  system.mmap%b
   --  system.mmap.unix%s
   --  system.mmap.os_interface%b
   --  system.object_reader%s
   --  system.object_reader%b
   --  system.dwarf_lines%s
   --  system.dwarf_lines%b
   --  system.os_lib%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.standard_library%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  ada.assertions%s
   --  ada.assertions%b
   --  ada.characters.conversions%s
   --  ada.characters.conversions%b
   --  ada.command_line%s
   --  ada.command_line%b
   --  ada.containers.prime_numbers%s
   --  ada.containers.prime_numbers%b
   --  ada.exceptions.is_null_occurrence%s
   --  ada.exceptions.is_null_occurrence%b
   --  ada.strings.equal_case_insensitive%s
   --  ada.strings.equal_case_insensitive%b
   --  ada.strings.hash%s
   --  ada.strings.hash%b
   --  ada.strings.hash_case_insensitive%s
   --  ada.strings.hash_case_insensitive%b
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.strings.fixed%s
   --  ada.strings.fixed%b
   --  ada.strings.utf_encoding%s
   --  ada.strings.utf_encoding%b
   --  ada.strings.utf_encoding.strings%s
   --  ada.strings.utf_encoding.strings%b
   --  ada.strings.utf_encoding.wide_strings%s
   --  ada.strings.utf_encoding.wide_strings%b
   --  ada.strings.utf_encoding.wide_wide_strings%s
   --  ada.strings.utf_encoding.wide_wide_strings%b
   --  gnat%s
   --  gnat.case_util%s
   --  gnat.debug_utilities%s
   --  gnat.debug_utilities%b
   --  gnat.heap_sort%s
   --  gnat.heap_sort%b
   --  gnat.htable%s
   --  gnat.htable%b
   --  gnat.io%s
   --  gnat.io%b
   --  gnat.os_lib%s
   --  gnat.source_info%s
   --  gnat.strings%s
   --  interfaces.c.extensions%s
   --  interfaces.c.strings%s
   --  interfaces.c.strings%b
   --  ada.environment_variables%s
   --  ada.environment_variables%b
   --  system.arith_32%s
   --  system.arith_32%b
   --  system.arith_64%s
   --  system.arith_64%b
   --  system.atomic_counters%s
   --  system.atomic_counters%b
   --  system.fat_flt%s
   --  system.fat_lflt%s
   --  system.fat_llf%s
   --  system.linux%s
   --  system.multiprocessors%s
   --  system.multiprocessors%b
   --  system.os_constants%s
   --  system.os_locks%s
   --  system.finalization_primitives%s
   --  system.finalization_primitives%b
   --  system.os_interface%s
   --  system.os_interface%b
   --  system.stack_usage%s
   --  system.stack_usage%b
   --  system.task_info%s
   --  system.task_info%b
   --  system.task_lock%s
   --  system.task_lock%b
   --  gnat.task_lock%s
   --  system.task_primitives%s
   --  system.interrupt_management%s
   --  system.interrupt_management%b
   --  system.tasking%s
   --  system.task_primitives.operations%s
   --  system.tasking.debug%s
   --  system.tasking.debug%b
   --  system.task_primitives.operations%b
   --  system.tasking%b
   --  system.val_bool%s
   --  system.val_bool%b
   --  system.val_enum_8%s
   --  system.val_fixed_64%s
   --  system.val_flt%s
   --  system.val_lflt%s
   --  system.val_uns%s
   --  ada.tags%s
   --  ada.tags%b
   --  ada.strings.text_buffers%s
   --  ada.strings.text_buffers%b
   --  ada.strings.text_buffers.utils%s
   --  ada.strings.text_buffers.utils%b
   --  system.put_images%s
   --  system.put_images%b
   --  ada.streams%s
   --  ada.streams%b
   --  system.communication%s
   --  system.communication%b
   --  system.file_control_block%s
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.containers.helpers%s
   --  ada.containers.helpers%b
   --  ada.containers.hash_tables%s
   --  ada.containers.red_black_trees%s
   --  system.file_io%s
   --  system.file_io%b
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.storage_pools.subpools%b
   --  system.stream_attributes%s
   --  system.stream_attributes.xdr%s
   --  system.stream_attributes.xdr%b
   --  system.stream_attributes%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  system.val_int%s
   --  system.regpat%s
   --  system.regpat%b
   --  gnat.regpat%s
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.calendar.delays%s
   --  ada.calendar.delays%b
   --  ada.calendar.time_zones%s
   --  ada.calendar.time_zones%b
   --  ada.calendar.formatting%s
   --  ada.calendar.formatting%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  gnat.calendar%s
   --  gnat.calendar%b
   --  gnat.directory_operations%s
   --  gnat.directory_operations%b
   --  gnat.traceback%s
   --  gnat.traceback%b
   --  system.assertions%s
   --  system.assertions%b
   --  system.checked_pools%s
   --  system.exn_int%s
   --  system.exn_lli%s
   --  system.val_decimal_64%s
   --  system.file_attributes%s
   --  system.img_lli%s
   --  system.img_llu%s
   --  gnat.calendar.time_io%s
   --  gnat.calendar.time_io%b
   --  system.img_util%s
   --  system.img_util%b
   --  system.img_decimal_64%s
   --  system.img_fixed_32%s
   --  gnat.debug_pools%s
   --  gnat.debug_pools%b
   --  system.img_fixed_64%s
   --  system.img_flt%s
   --  system.img_lflt%s
   --  system.pool_global%s
   --  system.pool_global%b
   --  gnat.expect%s
   --  gnat.expect%b
   --  gnat.sockets%s
   --  gnat.sockets.linker_options%s
   --  gnat.sockets.poll%s
   --  gnat.sockets.thin_common%s
   --  gnat.sockets.thin_common%b
   --  gnat.sockets.thin%s
   --  gnat.sockets.thin%b
   --  gnat.sockets%b
   --  gnat.sockets.poll%b
   --  system.random_seed%s
   --  system.random_seed%b
   --  system.random_numbers%s
   --  system.random_numbers%b
   --  system.regexp%s
   --  system.regexp%b
   --  ada.directories%s
   --  ada.directories.hierarchical_file_names%s
   --  ada.directories.validity%s
   --  ada.directories.validity%b
   --  ada.directories%b
   --  ada.directories.hierarchical_file_names%b
   --  gnat.regexp%s
   --  system.soft_links.tasking%s
   --  system.soft_links.tasking%b
   --  system.strings.stream_ops%s
   --  system.strings.stream_ops%b
   --  system.tasking.initialization%s
   --  system.tasking.task_attributes%s
   --  system.tasking.task_attributes%b
   --  system.tasking.initialization%b
   --  system.tasking.protected_objects%s
   --  system.tasking.protected_objects%b
   --  system.tasking.protected_objects.entries%s
   --  system.tasking.protected_objects.entries%b
   --  system.tasking.queuing%s
   --  system.tasking.queuing%b
   --  system.tasking.utilities%s
   --  system.tasking.utilities%b
   --  ada.task_identification%s
   --  ada.task_identification%b
   --  gnatcoll%s
   --  gnatcoll.storage_pools%s
   --  gnatcoll.atomic%s
   --  gnatcoll.atomic%b
   --  gnatcoll.memory%s
   --  gnatcoll.memory%b
   --  gnatcoll.os%s
   --  gnatcoll.os.constants%s
   --  gnatcoll.plugins%s
   --  gnatcoll.plugins%b
   --  gnatcoll.storage_pools.headers%s
   --  gnatcoll.storage_pools.headers%b
   --  gnatcoll.refcount%s
   --  gnatcoll.refcount%b
   --  gnatcoll.string_builders%s
   --  gnatcoll.string_builders%b
   --  gnatcoll.strings_impl%s
   --  gnatcoll.strings_impl%b
   --  gnatcoll.strings%s
   --  gnatcoll.strings%b
   --  gnatcoll.mmap%s
   --  gnatcoll.mmap.system%s
   --  gnatcoll.mmap.system%b
   --  gnatcoll.mmap%b
   --  gnatcoll.templates%s
   --  gnatcoll.templates%b
   --  gnatcoll.terminal%s
   --  gnatcoll.terminal%b
   --  gnatcoll.utils%s
   --  gnatcoll.utils%b
   --  gnatcoll.sql_impl%s
   --  gnatcoll.sql_impl%b
   --  gnatcoll.sql%s
   --  gnatcoll.sql%b
   --  gnatcoll.vfs_types%s
   --  gnatcoll.io%s
   --  gnatcoll.io%b
   --  gnatcoll.path%s
   --  gnatcoll.path%b
   --  gnatcoll.io.native%s
   --  gnatcoll.io.native%b
   --  gnatcoll.remote%s
   --  gnatcoll.remote.db%s
   --  gnatcoll.remote.db%b
   --  gnatcoll.io.remote%s
   --  gnatcoll.io.remote.unix%s
   --  gnatcoll.io.remote.unix%b
   --  gnatcoll.io.remote.windows%s
   --  gnatcoll.io.remote.windows%b
   --  gnatcoll.io.remote%b
   --  gnatcoll.vfs%s
   --  gnatcoll.vfs%b
   --  gnatcoll.traces%s
   --  gnatcoll.traces%b
   --  gnatcoll.sql.exec%s
   --  gnatcoll.sql.exec.tasking%s
   --  gnatcoll.sql.exec_private%s
   --  gnatcoll.sql.exec_private%b
   --  gnatcoll.sql.exec%b
   --  gnatcoll.sql.exec.tasking%b
   --  gnatcoll.sql.inspect%s
   --  gnatcoll.sql.inspect%b
   --  gnatcoll.sql.ranges%s
   --  gnatcoll.sql.ranges%b
   --  gnatcoll.sql.postgres%s
   --  gnatcoll.sql.postgres.builder%s
   --  gnatcoll.sql.postgres.gnade%s
   --  gnatcoll.sql.postgres.gnade%b
   --  gnatcoll.sql.postgres%b
   --  gnatcoll.sql.postgres.builder%b
   --  END ELABORATION ORDER

end gnatcoll_postgresmain;
